## org.eclipse.emf.mapping.command
Class NameMatchMappingCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.eclipse.emf.mapping.command.MatchMappingCommand
                  org.eclipse.emf.mapping.command.NameMatchMappingCommand

All Implemented Interfaces:
  Command

    public class NameMatchMappingCommand

extends MatchMappingCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.mapping.command.MatchMappingCommand
`DESCRIPTION, domain, LABEL, mappedInputs, mapping`

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`NameMatchMappingCommand(MappingDomain domain, Mapping mapping)`

Method Summary
`protected java.lang.String` `concatName(java.util.List<java.lang.String> parsedName)`
`static Command` `create(MappingDomain domain, Mapping mapping)` This creates a command that creates a new child mappings for the given mapping by attempting to match by name input children with output children.
`void` `execute()` Calls `Command.execute()` for each command in the list.
`protected boolean` `match(java.lang.Object inputObject, java.lang.Object outputObject, java.util.Collection<java.lang.Object> mappedObjects)`

Methods inherited from class org.eclipse.emf.mapping.command.MatchMappingCommand
`matchChildren, prepare, toString`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, redo, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameMatchMappingCommand

    public NameMatchMappingCommand(MappingDomain domain,
                                   Mapping mapping)

Method Detail

### create

    public static Command create(MappingDomain domain,
                                 Mapping mapping)

  This creates a command that creates a new child mappings for the given mapping by attempting to match by name input children with output children.

### match

    protected boolean match(java.lang.Object inputObject,
                            java.lang.Object outputObject,
                            java.util.Collection<java.lang.Object> mappedObjects)

  Specified by:
    `match` in class `MatchMappingCommand`

### concatName

    protected java.lang.String concatName(java.util.List<java.lang.String> parsedName)

### execute

    public void execute()

  Description copied from class: `CompoundCommand`
  Calls `Command.execute()` for each command in the list.

  Specified by:
    `execute` in interface `Command`
  Overrides:
    `execute` in class `CompoundCommand`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.